Commit 90b0a27c authored by Leonardo Arena's avatar Leonardo Arena

main/sqlite: build with SQLITE_ENABLE_FTS3

Required by firefox-esr-52.9.0

configure: error: System SQLite library is not compiled with SQLITE_ENABLE_FTS3.
parent 59b5520f
......@@ -2,7 +2,7 @@
# Contributor: Łukasz Jendrysik <scadu@yandex.com>
pkgname=sqlite
pkgver=3.26.0
pkgrel=0
pkgrel=1
pkgdesc="C library that implements an SQL database engine"
url="http://www.sqlite.org"
arch="all"
......@@ -35,6 +35,7 @@ source="https://www.sqlite.org/2018/$pkgname-autoconf-$_ver.tar.gz
# additional CFLAGS to set
_amalgamation="-DSQLITE_ENABLE_FTS4 \
-DSQLITE_ENABLE_FTS3_PARENTHESIS \
-DSQLITE_ENABLE_FTS3 \
-DSQLITE_ENABLE_FTS5 \
-DSQLITE_ENABLE_COLUMN_METADATA \
-DSQLITE_SECURE_DELETE \
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment